Bug 1403423 - Review Request: visualboyadvance-m - High compatibility Gameboy Advance Emulator combining VBA builds
Summary: Review Request: visualboyadvance-m - High compatibility Gameboy Advance Emula...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Neal Gompa
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE-GAMESIG
TreeView+ depends on / blocked
 
Reported: 2016-12-10 06:46 UTC by Jeremy Newton
Modified: 2017-01-29 00:49 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-01-29 00:20:28 UTC
ngompa13: fedora-review+


Attachments (Terms of Use)

Description Jeremy Newton 2016-12-10 06:46:26 UTC
I currently maintain vbam in RPMFusion, but since the guidelines have loosened on emulators, I would like to move this into Fedora proper.

Spec URL: https://dl.dropboxusercontent.com/u/42480493/vbam.spec
SRPM URL: https://dl.dropboxusercontent.com/u/42480493/vbam-2.0.0-0.1.beta2.fc25.src.rpm
Description:
VisualBoyAdvance-M is a Nintendo Game Boy Emulator with high compatibility with
commercial games. It emulates the Nintendo Game Boy Advance hand held console,
in addition to the original Game Boy hand held systems and its Super and Color
variants. VBA-M is a continued development of the now inactive VisualBoy
Advance project, with many improvements from various developments of VBA.
Fedora Account System Username: mystro256

RPMLINT OUTPUT:
vbam-data.noarch: W: no-documentation
vbam-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/visualboyadvance-m-2.0.0/src/filters/admame.cpp
vbam-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/visualboyadvance-m-2.0.0/src/filters/interp.h
vbam-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/visualboyadvance-m-2.0.0/src/sdl/text.cpp
vbam-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/visualboyadvance-m-2.0.0/src/filters/hq2x.cpp

Nothing really to worry about: vbam-data doesn't need documentation and I'll send a patch to upstream to fix the incorrect-fsf-address errors. I also need to send the appdata upstream as well.

Note this is a word in progress, as there are some functional issues with this package (emulator runs too fast). I'll see if I can make a patch to fix this issue.

Comment 1 Jeremy Newton 2016-12-11 02:21:15 UTC
I've been submitting fixes upstream, which included as a patch (datafiles fixes). I added a workaround for the emulation speed/throttling issue, which merged I merged with the gcc6 patch (I've also reported the issue upstream). See the spec file for details.

Spec URL: https://dl.dropboxusercontent.com/u/42480493/vbam.spec
SRPM URL: https://dl.dropboxusercontent.com/u/42480493/vbam-2.0.0-0.2.beta2.fc25.src.rpm

Comment 2 Jeremy Newton 2016-12-22 04:18:59 UTC
Update to beta 3, also renaming of the package to the new upstream name:

Spec URL: https://dl.dropboxusercontent.com/u/42480493/visualboyadvance-m.spec
SRPM URL: https://dl.dropboxusercontent.com/u/42480493/visualboyadvance-m-2.0.0-0.3.Beta3.fc25.src.rpm

Comment 3 Neal Gompa 2016-12-24 17:50:49 UTC
Taking this review.

Comment 4 Neal Gompa 2016-12-29 04:18:46 UTC
A fedora-review run indicates that there are a couple of issues:

- update-desktop-database is invoked in %post and %postun if package
  contains desktop file(s) with a MimeType: entry.
  Note: desktop file(s) with MimeType entry in visualboyadvance-m
  See: http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#desktop-
  database

[!]: Package must own all directories that it creates.
     Note: Directories without known owners:
     /usr/share/icons/hicolor/96x96/apps,
     /usr/share/icons/hicolor/64x64/apps, /usr/share/icons/hicolor/22x22,
     /usr/share/icons/hicolor/48x48/apps,
     /usr/share/icons/hicolor/22x22/apps,
     /usr/share/icons/hicolor/32x32/apps, /usr/share/icons/hicolor/96x96,
     /usr/share/icons/hicolor/16x16/apps,
     /usr/share/icons/hicolor/scalable/apps,
     /usr/share/icons/hicolor/16x16, /usr/share/icons/hicolor/128x128/apps,
     /usr/share/icons/hicolor/128x128, /usr/share/icons/hicolor/64x64,
     /usr/share/icons/hicolor/48x48, /usr/share/icons/hicolor/32x32,
     /usr/share/icons/hicolor, /usr/share/icons/hicolor/scalable

- Note that this issue can be solved by adding "BuildRequires: hicolor-icon-theme" to the spec and "Requires: hicolor-icon-theme" to the main package.

[!]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/share/vbam(vbam-gtk)

- If this is intentional, please put a comment in the spec for why it is this way. I can imagine why it might be this way (the two programs are independent and not necessarily both installed as they are not interdependent).

Comment 5 Jeremy Newton 2016-12-30 17:09:24 UTC
(In reply to Neal Gompa from comment #4)
> A fedora-review run indicates that there are a couple of issues:
> 
> - update-desktop-database is invoked in %post and %postun if package
>   contains desktop file(s) with a MimeType: entry.
>   Note: desktop file(s) with MimeType entry in visualboyadvance-m
>   See: http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#desktop-
>   database

According to the wiki: "This scriptlet SHOULD NOT be used in Fedora 25 or later."
So I'll wrap it in an %if.
 
> [!]: Package must own all directories that it creates.
>      Note: Directories without known owners:
>      /usr/share/icons/hicolor/96x96/apps,
>      /usr/share/icons/hicolor/64x64/apps, /usr/share/icons/hicolor/22x22,
>      /usr/share/icons/hicolor/48x48/apps,
>      /usr/share/icons/hicolor/22x22/apps,
>      /usr/share/icons/hicolor/32x32/apps, /usr/share/icons/hicolor/96x96,
>      /usr/share/icons/hicolor/16x16/apps,
>      /usr/share/icons/hicolor/scalable/apps,
>      /usr/share/icons/hicolor/16x16, /usr/share/icons/hicolor/128x128/apps,
>      /usr/share/icons/hicolor/128x128, /usr/share/icons/hicolor/64x64,
>      /usr/share/icons/hicolor/48x48, /usr/share/icons/hicolor/32x32,
>      /usr/share/icons/hicolor, /usr/share/icons/hicolor/scalable
> 
> - Note that this issue can be solved by adding "BuildRequires:
> hicolor-icon-theme" to the spec and "Requires: hicolor-icon-theme" to the
> main package.

Nice catch, although only the build require is necessary, as the auto-dependencies should pick this up.

> [!]: Package does not own files or directories owned by other packages.
>      Note: Dirs in package are owned also by: /usr/share/vbam(vbam-gtk)
> 
> - If this is intentional, please put a comment in the spec for why it is
> this way. I can imagine why it might be this way (the two programs are
> independent and not necessarily both installed as they are not
> interdependent).

This is the old package name for visualboyadvance-m in rpmfusion. It's already provided and obsoleted, see lines 41-43 of the spec. Note that I also maintain this package in RPMFusion, so it will be retired once this is accepted.


New files:

Spec URL: https://dl.dropboxusercontent.com/u/42480493/visualboyadvance-m.spec
SRPM URL: https://dl.dropboxusercontent.com/u/42480493/visualboyadvance-m-2.0.0-0.4.Beta3.fc25.src.rpm

Comment 6 Neal Gompa 2016-12-30 17:38:28 UTC
(In reply to Jeremy Newton from comment #5)
> (In reply to Neal Gompa from comment #4)
> > [!]: Package must own all directories that it creates.
> >      Note: Directories without known owners:
> >      /usr/share/icons/hicolor/96x96/apps,
> >      /usr/share/icons/hicolor/64x64/apps, /usr/share/icons/hicolor/22x22,
> >      /usr/share/icons/hicolor/48x48/apps,
> >      /usr/share/icons/hicolor/22x22/apps,
> >      /usr/share/icons/hicolor/32x32/apps, /usr/share/icons/hicolor/96x96,
> >      /usr/share/icons/hicolor/16x16/apps,
> >      /usr/share/icons/hicolor/scalable/apps,
> >      /usr/share/icons/hicolor/16x16, /usr/share/icons/hicolor/128x128/apps,
> >      /usr/share/icons/hicolor/128x128, /usr/share/icons/hicolor/64x64,
> >      /usr/share/icons/hicolor/48x48, /usr/share/icons/hicolor/32x32,
> >      /usr/share/icons/hicolor, /usr/share/icons/hicolor/scalable
> > 
> > - Note that this issue can be solved by adding "BuildRequires:
> > hicolor-icon-theme" to the spec and "Requires: hicolor-icon-theme" to the
> > main package.
> 
> Nice catch, although only the build require is necessary, as the
> auto-dependencies should pick this up.
> 

Unfortunately, no, it will not automatically pick it up, since we don't have a dependency generator for checking for the mere existence of the directory paths and setting that up.


> %config(noreplace) /etc/%{shortname}.cfg

Please replace usage of "/etc" with "%{_sysconfdir}"

Comment 7 Jeremy Newton 2016-12-30 18:12:42 UTC
(In reply to Neal Gompa from comment #6)
> (In reply to Jeremy Newton from comment #5)
> > (In reply to Neal Gompa from comment #4)
> > > [!]: Package must own all directories that it creates.
> > >      Note: Directories without known owners:
> > >      /usr/share/icons/hicolor/96x96/apps,
> > >      /usr/share/icons/hicolor/64x64/apps, /usr/share/icons/hicolor/22x22,
> > >      /usr/share/icons/hicolor/48x48/apps,
> > >      /usr/share/icons/hicolor/22x22/apps,
> > >      /usr/share/icons/hicolor/32x32/apps, /usr/share/icons/hicolor/96x96,
> > >      /usr/share/icons/hicolor/16x16/apps,
> > >      /usr/share/icons/hicolor/scalable/apps,
> > >      /usr/share/icons/hicolor/16x16, /usr/share/icons/hicolor/128x128/apps,
> > >      /usr/share/icons/hicolor/128x128, /usr/share/icons/hicolor/64x64,
> > >      /usr/share/icons/hicolor/48x48, /usr/share/icons/hicolor/32x32,
> > >      /usr/share/icons/hicolor, /usr/share/icons/hicolor/scalable
> > > 
> > > - Note that this issue can be solved by adding "BuildRequires:
> > > hicolor-icon-theme" to the spec and "Requires: hicolor-icon-theme" to the
> > > main package.
> > 
> > Nice catch, although only the build require is necessary, as the
> > auto-dependencies should pick this up.
> > 
> 
> Unfortunately, no, it will not automatically pick it up, since we don't have
> a dependency generator for checking for the mere existence of the directory
> paths and setting that up.

Really? I guess I'm mistaken, I thought it picks up on some key directories. I assume all packages that install hicolor icons need this? If so, I need to fix up a few of my own.

> 
> > %config(noreplace) /etc/%{shortname}.cfg
> 
> Please replace usage of "/etc" with "%{_sysconfdir}"

Done.

Note that I didn't bump the release:

Spec URL: https://dl.dropboxusercontent.com/u/42480493/visualboyadvance-m.spec
SRPM URL: https://dl.dropboxusercontent.com/u/42480493/visualboyadvance-m-2.0.0-0.4.Beta3.fc25.src.rpm

Comment 8 Neal Gompa 2016-12-31 00:15:41 UTC
(In reply to Jeremy Newton from comment #7)
> (In reply to Neal Gompa from comment #6)
> > (In reply to Jeremy Newton from comment #5)
> > > (In reply to Neal Gompa from comment #4)
> > > > [!]: Package must own all directories that it creates.
> > > >      Note: Directories without known owners:
> > > >      /usr/share/icons/hicolor/96x96/apps,
> > > >      /usr/share/icons/hicolor/64x64/apps, /usr/share/icons/hicolor/22x22,
> > > >      /usr/share/icons/hicolor/48x48/apps,
> > > >      /usr/share/icons/hicolor/22x22/apps,
> > > >      /usr/share/icons/hicolor/32x32/apps, /usr/share/icons/hicolor/96x96,
> > > >      /usr/share/icons/hicolor/16x16/apps,
> > > >      /usr/share/icons/hicolor/scalable/apps,
> > > >      /usr/share/icons/hicolor/16x16, /usr/share/icons/hicolor/128x128/apps,
> > > >      /usr/share/icons/hicolor/128x128, /usr/share/icons/hicolor/64x64,
> > > >      /usr/share/icons/hicolor/48x48, /usr/share/icons/hicolor/32x32,
> > > >      /usr/share/icons/hicolor, /usr/share/icons/hicolor/scalable
> > > > 
> > > > - Note that this issue can be solved by adding "BuildRequires:
> > > > hicolor-icon-theme" to the spec and "Requires: hicolor-icon-theme" to the
> > > > main package.
> > > 
> > > Nice catch, although only the build require is necessary, as the
> > > auto-dependencies should pick this up.
> > > 
> > 
> > Unfortunately, no, it will not automatically pick it up, since we don't have
> > a dependency generator for checking for the mere existence of the directory
> > paths and setting that up.
> 
> Really? I guess I'm mistaken, I thought it picks up on some key directories.
> I assume all packages that install hicolor icons need this? If so, I need to
> fix up a few of my own.
> 

Yes.

Comment 9 Jeremy Newton 2016-12-31 04:51:29 UTC
(In reply to Neal Gompa from comment #8)
> (In reply to Jeremy Newton from comment #7)
> > (In reply to Neal Gompa from comment #6)
> > > (In reply to Jeremy Newton from comment #5)
> > > > (In reply to Neal Gompa from comment #4)
> > > > > [!]: Package must own all directories that it creates.
> > > > >      Note: Directories without known owners:
> > > > >      /usr/share/icons/hicolor/96x96/apps,
> > > > >      /usr/share/icons/hicolor/64x64/apps, /usr/share/icons/hicolor/22x22,
> > > > >      /usr/share/icons/hicolor/48x48/apps,
> > > > >      /usr/share/icons/hicolor/22x22/apps,
> > > > >      /usr/share/icons/hicolor/32x32/apps, /usr/share/icons/hicolor/96x96,
> > > > >      /usr/share/icons/hicolor/16x16/apps,
> > > > >      /usr/share/icons/hicolor/scalable/apps,
> > > > >      /usr/share/icons/hicolor/16x16, /usr/share/icons/hicolor/128x128/apps,
> > > > >      /usr/share/icons/hicolor/128x128, /usr/share/icons/hicolor/64x64,
> > > > >      /usr/share/icons/hicolor/48x48, /usr/share/icons/hicolor/32x32,
> > > > >      /usr/share/icons/hicolor, /usr/share/icons/hicolor/scalable
> > > > > 
> > > > > - Note that this issue can be solved by adding "BuildRequires:
> > > > > hicolor-icon-theme" to the spec and "Requires: hicolor-icon-theme" to the
> > > > > main package.
> > > > 
> > > > Nice catch, although only the build require is necessary, as the
> > > > auto-dependencies should pick this up.
> > > > 
> > > 
> > > Unfortunately, no, it will not automatically pick it up, since we don't have
> > > a dependency generator for checking for the mere existence of the directory
> > > paths and setting that up.
> > 
> > Really? I guess I'm mistaken, I thought it picks up on some key directories.
> > I assume all packages that install hicolor icons need this? If so, I need to
> > fix up a few of my own.
> > 
> 
> Yes.

Thanks

Comment 10 Jeremy Newton 2017-01-11 04:03:15 UTC
Neal, are you still able to review this?

Comment 11 Neal Gompa 2017-01-13 18:20:44 UTC
I am, and I will look over it shortly.

Comment 12 Jeremy Newton 2017-01-13 18:25:14 UTC
(In reply to Neal Gompa from comment #11)
> I am, and I will look over it shortly.

Thanks!

Comment 13 Neal Gompa 2017-01-18 04:08:48 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL", "GPL (v2) (with incorrect FSF address)", "GPL (v3 or
     later)", "Unknown or generated", "GPL (v2 or later)", "BSL (v1.0)",
     "zlib/libpng", "BSD (3 clause)", "MIT/X11 (BSD like)", "GPL (v2 or
     later) (with incorrect FSF address)", "BSD (2 clause)", "LGPL (v2.1 or
     later)". 571 files have unknown license. Detailed output of
     licensecheck in
     /home/makerpm/1403423-visualboyadvance-m/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/share/vbam(vbam-gtk)
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: The spec file handles locales properly.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: gtk-update-icon-cache is invoked in %postun and %posttrans if package
     contains icons.
     Note: icons in visualboyadvance-m
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     visualboyadvance-m-sdl , visualboyadvance-m-debuginfo
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: visualboyadvance-m-2.0.0-0.4.Beta3.fc26.x86_64.rpm
          visualboyadvance-m-sdl-2.0.0-0.4.Beta3.fc26.x86_64.rpm
          visualboyadvance-m-debuginfo-2.0.0-0.4.Beta3.fc26.x86_64.rpm
          visualboyadvance-m-2.0.0-0.4.Beta3.fc26.src.rpm
visualboyadvance-m.src:134: W: macro-in-%changelog %{_sysconfdir}
4 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (debuginfo)
-------------------
Checking: visualboyadvance-m-debuginfo-2.0.0-0.4.Beta3.fc26.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
3 packages and 0 specfiles checked; 0 errors, 0 warnings.



Requires
--------
visualboyadvance-m-sdl (rpmlib, GLIBC filtered):
    config(visualboyadvance-m-sdl)
    libGL.so.1()(64bit)
    libGLU.so.1()(64bit)
    libSDL2-2.0.so.0()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgcc_s.so.1(GCC_3.3.1)(64bit)
    libm.so.6()(64bit)
    libpng16.so.16()(64bit)
    libpng16.so.16(PNG16_0)(64bit)
    libpthread.so.0()(64bit)
    librt.so.1()(64bit)
    libsfml-network.so.2.3()(64bit)
    libsfml-system.so.2.3()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.8)(64bit)
    libz.so.1()(64bit)
    rtld(GNU_HASH)

visualboyadvance-m-debuginfo (rpmlib, GLIBC filtered):

visualboyadvance-m (rpmlib, GLIBC filtered):
    /bin/sh
    hicolor-icon-theme
    libGL.so.1()(64bit)
    libGLU.so.1()(64bit)
    libSDL2-2.0.so.0()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgcc_s.so.1(GCC_3.3.1)(64bit)
    libm.so.6()(64bit)
    libpng16.so.16()(64bit)
    libpng16.so.16(PNG16_0)(64bit)
    libpthread.so.0()(64bit)
    librt.so.1()(64bit)
    libsfml-network.so.2.3()(64bit)
    libsfml-system.so.2.3()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.8)(64bit)
    libwx_baseu-3.0.so.0()(64bit)
    libwx_baseu-3.0.so.0(WXU_3.0)(64bit)
    libwx_baseu_net-3.0.so.0()(64bit)
    libwx_baseu_net-3.0.so.0(WXU_3.0)(64bit)
    libwx_baseu_xml-3.0.so.0()(64bit)
    libwx_gtk3u_adv-3.0.so.0()(64bit)
    libwx_gtk3u_adv-3.0.so.0(WXU_3.0)(64bit)
    libwx_gtk3u_core-3.0.so.0()(64bit)
    libwx_gtk3u_core-3.0.so.0(WXU_3.0)(64bit)
    libwx_gtk3u_gl-3.0.so.0()(64bit)
    libwx_gtk3u_gl-3.0.so.0(WXU_3.0)(64bit)
    libwx_gtk3u_html-3.0.so.0()(64bit)
    libwx_gtk3u_xrc-3.0.so.0()(64bit)
    libwx_gtk3u_xrc-3.0.so.0(WXU_3.0)(64bit)
    libz.so.1()(64bit)
    rtld(GNU_HASH)



Provides
--------
visualboyadvance-m-sdl:
    config(visualboyadvance-m-sdl)
    vbam-sdl
    visualboyadvance-m-sdl
    visualboyadvance-m-sdl(x86-64)

visualboyadvance-m-debuginfo:
    visualboyadvance-m-debuginfo
    visualboyadvance-m-debuginfo(x86-64)

visualboyadvance-m:
    appdata()
    appdata(wxvbam.appdata.xml)
    application()
    application(wxvbam.desktop)
    mimehandler(application/x-agb-rom)
    mimehandler(application/x-dmg-rom)
    mimehandler(application/x-gameboy-advance-rom)
    mimehandler(application/x-gameboy-rom)
    mimehandler(application/x-gb-rom)
    mimehandler(application/x-gba-rom)
    vbam-gtk
    visualboyadvance-m
    visualboyadvance-m(x86-64)



Source checksums
----------------
https://github.com/visualboyadvance-m/visualboyadvance-m/archive/Beta-3.tar.gz#/visualboyadvance-m-2.0.0-Beta3.tar.gz :
  CHECKSUM(SHA256) this package     : 100176bdf31f27211876bac72a297e5545189aebf74c8fe7ddf5a943a39e79b0
  CHECKSUM(SHA256) upstream package : 100176bdf31f27211876bac72a297e5545189aebf74c8fe7ddf5a943a39e79b0


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/bin/fedora-review -b 1403423 -m ../../home/makerpm/fedora-rawhide-x86_64-koji
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 14 Neal Gompa 2017-01-18 04:09:31 UTC
Looks good to me.

PACKAGE APPROVED.

Comment 15 Jeremy Newton 2017-01-18 13:55:27 UTC
Thanks!

Comment 16 Gwyn Ciesla 2017-01-18 14:04:54 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/visualboyadvance-m

Comment 17 Fedora Update System 2017-01-19 03:31:29 UTC
visualboyadvance-m-2.0.0-0.5.Beta3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-2f628aad38

Comment 18 Fedora Update System 2017-01-19 03:31:38 UTC
visualboyadvance-m-2.0.0-0.5.Beta3.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-b8f14daa95

Comment 19 Fedora Update System 2017-01-19 13:39:51 UTC
visualboyadvance-m-2.0.0-0.6.Beta3.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-d7b37c8398

Comment 20 Fedora Update System 2017-01-19 13:39:58 UTC
visualboyadvance-m-2.0.0-0.6.Beta3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-cdc8fdd12d

Comment 21 Fedora Update System 2017-01-19 16:29:07 UTC
visualboyadvance-m-2.0.0-0.7.Beta3.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-722ce2d313

Comment 22 Fedora Update System 2017-01-19 16:29:13 UTC
visualboyadvance-m-2.0.0-0.7.Beta3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-fdca6348cf

Comment 23 Fedora Update System 2017-01-20 19:21:12 UTC
visualboyadvance-m-2.0.0-0.7.Beta3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-fdca6348cf

Comment 24 Fedora Update System 2017-01-20 19:55:52 UTC
visualboyadvance-m-2.0.0-0.7.Beta3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-722ce2d313

Comment 25 Fedora Update System 2017-01-29 00:20:28 UTC
visualboyadvance-m-2.0.0-0.7.Beta3.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 26 Fedora Update System 2017-01-29 00:49:26 UTC
visualboyadvance-m-2.0.0-0.7.Beta3.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.